Subject: bug#73442: 29.2.50; mouse-fixup-help-message is very slow with a slow X connection

From: Eli Zaretskii <[email-masked]>
Date: Mon, 23 Sep 2024 19:00:39 +0300

> Cc: [email-masked]
> Date: Mon, 23 Sep 2024 11:14:29 -0400
> From:  Spencer Baugh via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> 
> I unfortunately don't have a reliable recipe to reproduce this, but:
> 
> 1. Have a slow X connection, e.g. through ssh -X
> 2. emacs -Q
> 3. Move the mouse over links with help messages mentioning mouse-2
> 4. Experience terrible lag as the mouse moves
> 
> I narrowed this down to mouse-fixup-help-message with some profiling,
> and (defalias mouse-fixup-help-message #'identity) stops the lag.
> 
> I'm not sure why it's so slow.  Maybe posn-at-x-y is particularly slow?

Please profile with perf, so we know what part is slow.

Thanks.